libqtassistantclient-dev_4.6.3-7build1_i386.deb


Advertisement

Description

libqtassistantclient-dev - Qt Assistant client library (development)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqtassistantclient-dev
Package version 4.6.3
Package release 7build1
Package architecture i386
Package type deb
Installed size 34 B
Download size 4.51 KB
Official Mirror archive.ubuntu.com
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
This package contains the files necessary to build applications using the
deprecated QAssistantClient class, which is used together with the legacy
Assistant Document Profile (.adp) version of Qt Assistant.
This class is obsolete. It is provided to keep old source code working. It is
strongly advised against using it in new code. New code should use the Qt Help
Framework introduced in Qt 4.4 and/or the version of Qt Assistant based on it
(also introduced in Qt 4.4) instead.

Alternatives

Package Version Architecture Repository
libqtassistantclient-dev_4.6.3-7build1_amd64.deb 4.6.3 amd64 Ubuntu Universe
libqtassistantclient-dev - - -

Requires

Name Value
libqtassistantclient4 = 4.6.3-7build1

Replaces

Name Value
libqt4-dev << 4:4.7.0~
qt4-qmake << 4:4.7.0~

Download

Type URL
Binary Package libqtassistantclient-dev_4.6.3-7build1_i386.deb
Source Package qt-assistant-compat

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqtassistantclient-dev deb package:
    # sudo apt-get install libqtassistantclient-dev

Files

Path
/usr/include/qt4/QtAssistant/QAssistantClient
/usr/include/qt4/QtAssistant/QtAssistant
/usr/include/qt4/QtAssistant/qassistantclient.h
/usr/include/qt4/QtAssistant/qassistantclient_global.h
/usr/lib/i386-linux-gnu/libQtAssistantClient.prl
/usr/lib/i386-linux-gnu/libQtAssistantClient.so
/usr/lib/i386-linux-gnu/pkgconfig/QtAssistantClient.pc
/usr/share/doc/libqtassistantclient-dev/changelog.Debian.gz
/usr/share/doc/libqtassistantclient-dev/copyright
/usr/share/qt4/mkspecs/features/assistant.prf

Changelog

See qt-assistant-compat_4.6.3-7build1_i386.deb changelog.

See Also

Package Description
libqtassistantclient4_4.6.3-7build1_i386.deb Qt Assistant client library (runtime)
libqtav-dev_1.12.0+ds-4build3_i386.deb QtAV development files
libqtav-private-dev_1.12.0+ds-4build3_i386.deb QtAV private development files
libqtav1_1.12.0+ds-4build3_i386.deb QtAV library
libqtavwidgets1_1.12.0+ds-4build3_i386.deb QtAV Widgets module
libqtbamf-dev_0.2.4-0ubuntu2_i386.deb Qt binding and QML plugin for bamf - development files
libqtbamf1_0.2.4-0ubuntu2_i386.deb Qt binding and QML plugin for bamf - shared library
libqtcore4-perl_4.14.1-0ubuntu11_i386.deb perl bindings for the Qt Core library
libqtcore4_4.8.7+dfsg-7ubuntu1_i386.deb Qt 4 core module
libqtcurve-utils2_1.8.18+git20160320-3d8622c-5build4_i386.deb common library for QtCurve
libqtdbus4_4.8.7+dfsg-7ubuntu1_i386.deb Qt 4 D-Bus module library
libqtdbusmock1-common_0.7+17.04.20170316.1-0ubuntu1_all.deb Library for mocking DBus interactions using Qt
libqtdbusmock1-dev_0.7+17.04.20170316.1-0ubuntu1_i386.deb Library for mocking DBus interactions using Qt
libqtdbusmock1_0.7+17.04.20170316.1-0ubuntu1_i386.deb Library for mocking DBus interactions using Qt
libqtdbustest1-dev_0.2+17.04.20170106-0ubuntu1_i386.deb Library for testing DBus interactions using Qt
Advertisement
Advertisement